JSSESocketFactory (Axis API)
Keywords: org.apache.axis.components.net.JSSESocketFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.components.net
Class JSSESocketFactory

    java.lang.Object
      org.apache.axis.components.net.DefaultSocketFactory
          org.apache.axis.components.net.JSSESocketFactory

All Implemented Interfaces:
  SecureSocketFactory, SocketFactory

Direct Known Subclasses:
  IBMJSSESocketFactory, SunJSSESocketFactory

public class JSSESocketFactory
extends DefaultSocketFactory
implements SecureSocketFactory

SSL socket factory. It _requires_ a valid RSA key and JSSE. (borrowed code from tomcat) THIS CODE STILL HAS DEPENDENCIES ON sun.* and com.sun.*

Author:
  Davanum Srinivas (dims@yahoo.com)

Field Summary
`protected javax.net.ssl.SSLSocketFactory` | `sslFactory` Field sslFactory

Fields inherited from class org.apache.axis.components.net.DefaultSocketFactory
`attributes, CONNECT_TIMEOUT, log`

Constructor Summary
`JSSESocketFactory(java.util.Hashtable attributes)` Constructor JSSESocketFactory

Method Summary
`java.net.Socket` | `create(java.lang.String host, int port, java.lang.StringBuffer otherHeaders, BooleanHolder useFullURL)` creates a secure socket
`protected void` | `initFactory()` Initialize the SSLSocketFactory

Methods inherited from class org.apache.axis.components.net.DefaultSocketFactory
`isHostInNonProxyList, match`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sslFactory

    protected javax.net.ssl.SSLSocketFactory sslFactory

  Field sslFactory

Constructor Detail

### JSSESocketFactory

    public JSSESocketFactory(java.util.Hashtable attributes)

  Constructor JSSESocketFactory

Parameters:
  `attributes` -

Method Detail

### initFactory

    protected void initFactory()
                        throws java.io.IOException

  Initialize the SSLSocketFactory

  Throws:
    `java.io.IOException`

### create

    public java.net.Socket create(java.lang.String host,
                                  int port,
                                  java.lang.StringBuffer otherHeaders,
                                  BooleanHolder useFullURL)
                           throws java.lang.Exception

  creates a secure socket

  Specified by:
    `create` in interface `SocketFactory`
  Overrides:
    `create` in class `DefaultSocketFactory`
  Parameters:
    `host` -
    `port` -
    `otherHeaders` -
    `useFullURL` -
  Returns:
    Socket
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.